﻿using System.Xml.Serialization;
using EbayDemo.Models;
using EbayDemo.ViewModels;
using EbayDemo.Views;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

[assembly: XamlCompilation(XamlCompilationOptions.Compile)]
namespace EbayDemo
{
    public partial class App : Application
    {
        public App()
        {
            InitializeComponent();

            MainPage = new NavigationPage(new MainPage(null));

            MessagingCenter.Subscribe<MainViewModel, Category>(this, NavigateToCategory, (vm, s) =>
                                                                                         {
                                                                                             if (s == null) return;
                                                                                             MainPage.Navigation.PushAsync(new MainPage(s));
                                                                                         });
            MessagingCenter.Subscribe<MainViewModel, Category>(this, NavigateToLeaf, (vm, s) =>
                                                                                         {
                                                                                             if (s == null) return;
                                                                                             MainPage.Navigation.PushAsync(new DetailView(s));
                                                                                         });
        }

        public static string NavigateToCategory = "ShowCategory";
        public static string NavigateToLeaf = "ShowDetail";

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
