﻿using Xamarin.Forms;

namespace EbayDemo.Controls
{
    public class ItemCell : ViewCell
    {
        public ItemCell()
        {
            var title = new Label {TextColor = Color.Accent};
            var unit = new Label();
            var price = new Label
                         {
                             HorizontalTextAlignment = TextAlignment.End,
                             FontAttributes = FontAttributes.Bold,
                             FontSize = 12
                         };
            var image = new Image {HeightRequest = 80, WidthRequest = 80, MinimumHeightRequest = 60, MinimumWidthRequest = 60, Aspect = Aspect.AspectFit};
            var grid = new Grid
                       {
                           Padding = new Thickness(10),
                           RowDefinitions =
                           {
                               new RowDefinition {Height = GridLength.Auto},
                               new RowDefinition {Height = GridLength.Auto}
                           },
                           ColumnDefinitions =
                           {
                               new ColumnDefinition {Width = new GridLength(1, GridUnitType.Star)},
                               new ColumnDefinition {Width = new GridLength(4, GridUnitType.Star)}
                           }
                       };
            image.SetBinding(Image.SourceProperty, "GalleryURL");
            title.SetBinding(Label.TextProperty, "Title");
            price.SetBinding(Label.TextProperty, "ConvertedCurrentPrice.Value");
            unit.SetBinding(Label.TextProperty, "ConvertedCurrentPrice.CurrencyID");
            var stack = new StackLayout {Orientation = StackOrientation.Horizontal,Spacing = 4.0};
            stack.Children.Add(unit);
            stack.Children.Add(price);
            grid.Children.Add(image,0,0);
            Grid.SetRowSpan(image,2);
            grid.Children.Add(title,1,0);
            grid.Children.Add(stack,1,1);
            this.View = grid;
        }

    }
}
