﻿using System.Collections.Generic;
using EbayDemo.Models;
using EbayDemo.Services;
using Xamarin.Forms;

namespace EbayDemo.ViewModels
{
    public class DetailViewModel : SimpleObservableObject
    {

        public List<Item> Items { get; set; }

        public DetailViewModel(Category parentCategory)
        {
            loadData(parentCategory);
        }

        private async void loadData(Category parentCategory)
        {
            var service = DependencyService.Get<IEbayService>();
            try
            {
                Items = await service.GetItems(parentCategory);
            }
            catch
            {
                Items = null;
            }
            // ReSharper disable once ExplicitCallerInfoArgument
            OnPropertyChanged(nameof(Items));
        }
    }
}
