﻿using System.Collections.Generic;
using EbayDemo.Models;
using EbayDemo.Services;
using Xamarin.Forms;

namespace EbayDemo.ViewModels
{
    public class MainViewModel : SimpleObservableObject
    {
        private Category selectedCategory;

        private List<Category> categories;
        public List<Category> Categories
        {
            get { return categories; }
            set { Set(ref categories, value); }
        }

        public Category SelectedCategory
        {
            get { return null; }
            set
            {
                if (!Set(ref selectedCategory, value)) return;
                if (selectedCategory==null) return;
                MessagingCenter.Send<MainViewModel, Category>(this, 
                    selectedCategory.LeafCategory ? App.NavigateToLeaf : App.NavigateToCategory, selectedCategory);
            }
        }

        private string title;

        public string Title
        {
            get { return title; }
            set { Set(ref title, value); }
        }

        public MainViewModel(Category parentCategory)
        {
            loadData(parentCategory);
            Title = parentCategory?.CategoryName ?? "Catégories";
        }

        private async void loadData(Category parentCategory)
        {
            var service = DependencyService.Get<IEbayService>();
            Categories = await service.GetCategories(parentCategory);
        }

    }
}
